Skip to content

Attach Security Group

POST
/notebooks/{Instance_id}/security-groups/
curl --request POST \
--url 'https://api.e2enetworks.com/myaccount/api/v1/gpu/notebooks/{Instance_id}/security-groups/?project_id=<PROJECT_ID>&location=<LOCATION>&apikey=<API_KEY>' \
--header 'Authorization: Bearer <API_TOKEN>' \
--header 'Content-Type: application/json' \
--data '{
"security_groups_ids": [
0,
0
]
}'

Attaches one or more Security Groups to the Instance or Virtual Machine, up to five in one request. The list must not repeat a group (“Duplicate security groups found in the request.”) or be empty (“No security group provided in the request.”). A request for more than five is refused.

Instance_id
required
integer

Instance ID

project_id
required
integer

Project ID

active_iam
integer

Active IAM ID (To access contact person account) Find your Active IAM ID here

location
required
string
Allowed values: Delhi Chennai

Location

Media typeapplication/json
object
security_groups_ids
Array<integer>

Example

[
0,
0
]

Security group added successfully

Media typeapplication/json
object
code
integer
data
string
errors
object
message
string

Example

{
"code": 200,
"data": "Security group addition successful",
"errors": {},
"message": "Success"
}